org.apache.tomcat.util.digester

## Class Digester.EnvironmentPropertySource

- java.lang.Object
- - org.apache.tomcat.util.digester.EnvironmentPropertySource
  - - org.apache.tomcat.util.digester.Digester.EnvironmentPropertySource

- All Implemented Interfaces:
    IntrospectionUtils.PropertySource, IntrospectionUtils.SecurePropertySource
  Enclosing class:
    Digester

  Deprecated.
  Use `EnvironmentPropertySource` This will be removed in Tomcat 10 onwards.

      @Deprecated
      public static class Digester.EnvironmentPropertySource
      extends EnvironmentPropertySource

  A `IntrospectionUtils.SecurePropertySource` that uses environment variables to resolve expressions. Still available for backwards compatibility.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvironmentPropertySource()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.tomcat.util.digester.EnvironmentPropertySource

      `getProperty, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvironmentPropertySource

          public EnvironmentPropertySource()

      Deprecated.

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.